=== debian/control ===
Source: ros-indigo-lama-msgs
Section: misc
Priority: extra
Maintainer: Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-laser-geometry, ros-indigo-message-generation, ros-indigo-sensor-msgs
Homepage: http://wiki.ros.org/lama_msgs
Standards-Version: 3.9.2

Package: ros-indigo-lama-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-laser-geometry, ros-indigo-message-runtime, ros-indigo-sensor-msgs
Description: lama_msgs provides messages for the lama framework such as Frontier, Crossing.
